BasicType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.domain
Class BasicType

    java.lang.Object
      org.hibernate.metamodel.domain.BasicType

All Implemented Interfaces:
  Type

    public class BasicType

extends Object
implements Type

Models a basic type.

Constructor Summary
`BasicType(String name, Value<Class<?>> classReference)`

Method Summary
`String` | `getClassName()` Obtain the java class name for this type.
`Class<?>` | `getClassReference()` Obtain the java `Class` reference for this type
`Value<Class<?>>` | `getClassReferenceUnresolved()`
`String` | `getName()` Obtain the name of the type.
`boolean` | `isAssociation()`
`boolean` | `isComponent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicType

    public BasicType(String name,
                     Value<Class<?>> classReference)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Obtain the name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    The name

### getClassName

    public String getClassName()

  Description copied from interface: `Type`
  Obtain the java class name for this type.

  Specified by:
    `getClassName` in interface `Type`
  Returns:
    The class name

### getClassReference

    public Class<?> getClassReference()

  Description copied from interface: `Type`
  Obtain the java `Class` reference for this type

  Specified by:
    `getClassReference` in interface `Type`
  Returns:
    The `Class` reference

### getClassReferenceUnresolved

    public Value<Class<?>> getClassReferenceUnresolved()

  Specified by:
    `getClassReferenceUnresolved` in interface `Type`

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `Type`

### isComponent

    public boolean isComponent()

  Specified by:
    `isComponent` in interface `Type`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.